Package org.apache.sling.scripting.groovy.internal

# Class GStringScriptEngineFactory

java.lang.Object
org.apache.sling.scripting.api.AbstractScriptEngineFactory
org.apache.sling.scripting.groovy.internal.GStringScriptEngineFactory

All Implemented Interfaces:
  `ScriptEngineFactory`

public final class GStringScriptEngineFactory extends org.apache.sling.scripting.api.AbstractScriptEngineFactory
Factory for `GStringScriptEngine`s.

## Constructor Summary

Constructors
Constructor
Description
`GStringScriptEngineFactory()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLanguageName()`
`String`
`getLanguageVersion()`
`ScriptEngine`
`getScriptEngine()`

### Methods inherited from class org.apache.sling.scripting.api.AbstractScriptEngineFactory

`getEngineName, getEngineVersion, getExtensions, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getParameter, getProgram, setEngineName, setEngineVersion, setExtensions, setMimeTypes, setNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GStringScriptEngineFactory

public GStringScriptEngineFactory()

## Method Details

### getLanguageName

public String getLanguageName()

### getLanguageVersion

public String getLanguageVersion()

### getScriptEngine

public ScriptEngine getScriptEngine()